﻿using Statki.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Statki.Tests
{
    public class Fixtures
    {
        public static Field[,] GenerateFieldMatrix(int n)
        {
            var matrix = new Field[n, n];
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < n; j++)
                {
                    Field field = new Field(new Coordinate(i, j));
                    matrix[i, j] = field;
                }
            }
            return matrix;
        }
    }
}
