﻿using System;
using System.Collections.Generic;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Statki.Model;

namespace Statki.Tests
{
    [TestClass]
    public class ShipTests
    {
        [TestMethod]
        public void OccupietFields()
        {
            var testData = Fixtures.GenerateFieldMatrix(4);
            Ship ship = new Ship(new System.Collections.Generic.List<Field>() { testData[1, 1], testData[1, 2], testData[1, 3] });
            
            List<Field> potentialFields = new List<Field>()
            {
                testData[0,0], testData[0,1], testData[0,2], testData[0,3], 
                testData[1,0], testData[1,1], testData[1,2], testData[1,3],
                testData[2,0], testData[2,1], testData[2,2], testData[2,3],
            };
            var result = ship.GetOccupietFields(testData);

            CollectionAssert.AreEqual(potentialFields, result);
        }
    }
}
