﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Statki.Model
{
    public class Field 
    {
        public Coordinate Coordinate { get; private set; }
        public FieldState FieldState { get; private set; }
        public Ship Ship { get; private set; }

        public Field(Coordinate coordinate, FieldState fieldState = FieldState.Blank)
        {
            Coordinate = coordinate;
            FieldState = fieldState;
        }

        public void AddShip(Ship ship)
        {
            Ship = ship;
        }

        public void ShotField()
        {
            FieldState = Ship == null ? FieldState.Misshit : FieldState.Hit;

        }
    }
}
